Page MenuHomePhabricator

[VP] IR expansion pass for VP gather and scatter
ClosedPublic

Authored by loralb on Feb 28 2022, 8:57 AM.

Details

Summary

Add vp_gather and vp_scatter expansion to unpredicated intrinsics.

Diff Detail

Event Timeline

loralb created this revision.Feb 28 2022, 8:57 AM
loralb requested review of this revision.Feb 28 2022, 8:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 28 2022, 8:57 AM
simoll added inline comments.Mar 11 2022, 9:28 AM
llvm/lib/CodeGen/ExpandVectorPredication.cpp
461

Not sure about valueOrOne() here... can we assume alignment to element size? Does the data layout tell us something here?

Herald added a project: Restricted Project. · View Herald TranscriptMar 11 2022, 9:28 AM
loralb updated this revision to Diff 418835.Mar 29 2022, 3:51 AM

Changelog:

  • Use DataLayout to determine the alignment (if there is not one already)
  • Add fixed vectors tests
simoll accepted this revision.Jun 2 2022, 2:20 AM

LGTM

This revision is now accepted and ready to land.Jun 2 2022, 2:20 AM
loralb updated this revision to Diff 444663.Jul 14 2022, 7:52 AM

Changelog

  • Rebase
This revision was landed with ongoing or failed builds.Jul 18 2022, 8:01 AM
This revision was automatically updated to reflect the committed changes.